Skip to main content
New to how accounts work on Gnosis Pay? Read Account Overview first — it covers the concepts behind account balances, spending limits, and multi-currency support. This guide covers the API calls to retrieve that data.

Account details for authenticated user

To get authenticated user account details, call GET /user/account.
This will return configuration of the user’s account, including chain name, configured currencies, Safe owner address, etc.

Account balances for authenticated user

Account balances endpoint provides detailed balance breakdowns to give users complete visibility into their fund status. The authenticated user’s account displays four distinct balance types:

Get Account Balances

To request the account balance of the user, call GET /user/balances/v2.
Each currency maintains its own separate balance states. For example, USDC and USDT will each have their own spendable, non-spendable, processing deposits, and processing withdrawals amounts.